Commit f66a4674 authored by Emmanuel Milou's avatar Emmanuel Milou

[#1454] Make cppunit optional; remove from build deps in control files

parent 16db1f8d
# Makefile.am
if BUILD_TEST
TESTS_DIR=test
unittest:
@(cd test; make)
@echo ""
@echo "NOTICE: Unitary tests successfully build"
@echo "Go in the test directory to run them"
@echo ""
else
unittest:
@echo "SFLphone WARNING:"
@echo " -- You need the cppunit devel package to compile the unitary tests."
endif
ACLOCAL_AMFLAGS = -I m4
SUBDIRS = libs src ringtones po man test
SUBDIRS = libs src ringtones po man $(TESTS_DIR)
EXTRA_DIST = m4/*.m4 tools/*.sh platform/* images/* README.gentoo
......@@ -267,11 +267,9 @@ AC_ARG_WITH(build-libdbus-cxx,
)
AC_SUBST(BUILD_LIBDBUS_CXX_DIR)
dnl Check for libcppunit-dev
CPPUNIT_MIN_VERSION=1.12
PKG_CHECK_MODULES(CPPUNIT, cppunit >= ${CPPUNIT_MIN_VERSION})
PKG_CHECK_MODULES(CPPUNIT, cppunit >= ${CPPUNIT_MIN_VERSION}, AM_CONDITIONAL(BUILD_TEST, test 1 = 1 ), AM_CONDITIONAL(BUILD_TEST, test 0 = 1 ))
AC_SUBST(CPPUNIT_LIBS)
# check for libgsm1 (doesn't use pkg-config)
......
......@@ -2,7 +2,7 @@ Source: sflphone-common
Maintainer: SavoirFaireLinux Inc <emmanuel.milou@savoirfairelinux.com>
Section: gnome
Priority: optional
Build-Depends: debhelper (>= 5), libgcc1, autoconf, automake, libpulse-dev, libsamplerate0-dev, libcommoncpp2-dev, libccrtp-dev, libcppunit-dev, libgsm1-dev, libspeex-dev, libtool, libdbus-1-dev, libasound2-dev, uuid-dev, libexpat1-dev
Build-Depends: debhelper (>= 5), libgcc1, autoconf, automake, libpulse-dev, libsamplerate0-dev, libcommoncpp2-dev, libccrtp-dev, libgsm1-dev, libspeex-dev, libtool, libdbus-1-dev, libasound2-dev, uuid-dev, libexpat1-dev
Standards-Version: 3.7.3
Package: sflphone-common
......
......@@ -2,7 +2,7 @@ Source: sflphone-common
Maintainer: SavoirFaireLinux Inc <emmanuel.milou@savoirfairelinux.com>
Section: gnome
Priority: optional
Build-Depends: debhelper (>= 5), libgcc1 , autoconf, libpulse-dev, libsamplerate0-dev, libcommoncpp2-dev, libccrtp-dev, libcppunit-dev, libgsm1-dev, libspeex-dev, libtool, libdbus-1-dev, libasound2-dev, libspeexdsp-dev, uuid-dev, libexpat1-dev
Build-Depends: debhelper (>= 5), libgcc1 , autoconf, libpulse-dev, libsamplerate0-dev, libcommoncpp2-dev, libccrtp-dev, libgsm1-dev, libspeex-dev, libtool, libdbus-1-dev, libasound2-dev, libspeexdsp-dev, uuid-dev, libexpat1-dev
Standards-Version: 3.8.0
Package: sflphone-common
......
......@@ -2,7 +2,7 @@ Source: sflphone-common
Maintainer: SavoirFaireLinux Inc <emmanuel.milou@savoirfairelinux.com>
Section: gnome
Priority: optional
Build-Depends: debhelper (>= 5), libgcc1 , autoconf, automake, libpulse-dev, libsamplerate0-dev, libcommoncpp2-dev, libccrtp-dev, libcppunit-dev, libgsm1-dev, libspeex-dev, libtool, libdbus-1-dev, libasound2-dev, libspeexdsp-dev, uuid-dev, libexpat1-dev
Build-Depends: debhelper (>= 5), libgcc1 , autoconf, automake, libpulse-dev, libsamplerate0-dev, libcommoncpp2-dev, libccrtp-dev, libgsm1-dev, libspeex-dev, libtool, libdbus-1-dev, libasound2-dev, libspeexdsp-dev, uuid-dev, libexpat1-dev
Standards-Version: 3.7.3
Package: sflphone-common
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment